Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8269468

JDK-8269388 breaks the build on older GCCs

    XMLWordPrintable

    Details

    • Subcomponent:
    • Introduced In Build:
      b07
    • Introduced In Version:
    • Resolved In Build:
      b07
    • CPU:
      generic
    • OS:
      linux

      Backports

        Description

        cc1plus: error: -Werror=format-overflow: no option -Wformat-overflow
        gmake[6]: *** [os_linux.o] Error 1

        -Wformat-overflow was not introduced until GCC 7 (https://gcc.gnu.org/gcc-7/changes.html), so we need to guard this flag usage with a version check.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                andrew Andrew Hughes
                Reporter:
                andrew Andrew Hughes
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: